function file = modify_node(str_n) 
% Modify a .node file in order to get a matrix 

% Read txt into cell A
fid = fopen(str_n, 'r'); 
r1 = fgetl(fid); % row 1 
nV = str2num(r1);
nV = nV(1);

i = 1;
tline = fgetl(fid); % row 2
A{i} = tline;
while ischar(tline)
    i = i+1;
    tline = fgetl(fid);
    A{i} = tline;
end
buffer = fread(fid, Inf);

if exist('truncated.node')
   delete('truncated.node');
end
fid = fopen('truncated.node', 'w');   
fwrite(fid, buffer) ;  
 
for j = 1:nV
    if A{j+1} == -1
        fprintf(fid,'%s', A{j});
        break
    else
        fprintf(fid,'%s\n', A{j});
    end
end
fclose(fid);